<section class="esri-map">
  <div #mapViewNode
       class="viewDiv"
       id="map"
       (mouseover)="onMouseMove($event)">
    <ngx-loading-bar [color]="'#00ad7c'"
                     height="6px"></ngx-loading-bar>
    <div class="waze-warning "
         *ngIf="isShowWazeFlyerWarning">
      <div class="main light-grey text-white rounded d-flex align-items-center px-3">
        <fa-icon [icon]="icon.faSearchPlus"
                 class="me-2"></fa-icon>
        <div>Perbesar (zoom in) peta untuk melihat lebih detail</div>
        <fa-icon [icon]="icon.faTimes"
                 class="ms-auto cursor-pointer ps-4"
                 (click)="isShowWazeFlyerWarning = false">
        </fa-icon>
      </div>
    </div>
    <div class="detail-selected-layer position-absolute w-100"
         *ngIf="controlDetailSelectedLayer.isActive">
      <div class="btn-control-display text-center position-relative"
           style="height:20px;"
           *ngIf="isShowDisplayQuery">
        <div class="btn-open-up btn btn-control-detail text-white d-inline px-2  position-absolute bottom-0"
             (click)="openNav()"
             *ngIf="!controlDetailSelectedLayer.isOpen">
          <fa-icon [icon]="icon.faAngleUp"
                   style="right:12px;bottom: 0;position: absolute;"></fa-icon>
        </div>
        <div class="btn-close-down btn btn-control-detail text-white d-inline px-2 position-absolute bottom-0"
             (click)="closeNav()"
             *ngIf="controlDetailSelectedLayer.isOpen">
          <fa-icon [icon]="icon.faAngleDown"></fa-icon>
        </div>
      </div>
      <div #detailSelectedMapset
           class="detail-selected-mapset"
           style="height: 300px;background-color: #222831;"
           *ngIf="isShowDisplayQuery">
        <app-detail-selected-mapset></app-detail-selected-mapset>
      </div>
    </div>

    <app-menu-bar (is3DMap)="createViewMap($event)"
                  (showCoordinates)="toggleShowCoordinates($event)"
                  (geometryQueryBy)="receiveGeometryQuery($event)"
                  (clearGeometry)="clearGeometry()">
    </app-menu-bar>
    <app-waze-jam-setting *ngIf="isActiveWaze"></app-waze-jam-setting>

    <div id="tooltip-span"
         #tooltip
         class="esri-widget esri-component"
         style="display:none; padding:7px 15px 5px;z-index: 1;">
    </div>


    <div class="btn-feedback mt-2"
         (click)="toggleOpenModalFeedback()">
      <fa-icon [icon]="icon.faEnvelope"></fa-icon>
      <span class="ms-1">Feedback</span>
    </div>

  </div>
  <app-navigation (geometryQueryBy)="receiveGeometryQuery($event)"
                  (clearGeometry)="clearGeometry()"
                  (showCoordinates)="toggleShowCoordinates($event)">
  </app-navigation>

  <div class="minimap"
       [style.display]="(isShowMinimap) ? 'block' : 'none' ">
    <div #minimapViewNode
         id="overviewDiv">
      <div id="extentDiv"></div>
    </div>
  </div>
</section>